Get Vcenter Configuration

Get Vcenter Configuration
Get Vcenter Configuration

Retrieves the current vCenter configuration. Passwords are automatically redacted from the response for security.

Request
URI
GET
https://{server}:9443/api/admin/global/config/vcenter
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved vCenter configuration

Returns VcenterGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "vcenter",
                "config": {
                    "userName": "[email protected]",
                    "url": "https://vcenter.example.com",
                    "vcuuid": "52a3f5d7-8b9c-4e1d-a2f3-6b8c9d0e1f2a",
                    "buildNumber": "20845200",
                    "UUID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                    "version": "8.0.2",
                    "name": "vCenter Server"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section vcenter not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/vcenter